Bug 247493 - sysutils/py-bitrot: Update to 1.0.0
Summary: sysutils/py-bitrot: Update to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://pypi.org/project/bitrot/1.0.0/
Keywords: needs-qa, performance
Depends on:
Blocks:
 
Reported: 2020-06-23 04:44 UTC by Darren Mulligan
Modified: 2020-06-29 22:41 UTC (History)
3 users (show)

See Also:
dbaio: merge-quarterly+


Attachments
Update to version 1.0.0. (906 bytes, patch)
2020-06-23 04:44 UTC, Darren Mulligan
fixer: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darren Mulligan 2020-06-23 04:44:20 UTC
Created attachment 215872 [details]
Update to version 1.0.0.

Update to version 1.0.0.

* significantly sped up execution on solid state drives by using a process pool executor to calculate SHA1 hashes and perform stat() calls; use -w1 if your runs on slow magnetic drives were negatively affected by this change
sped up execution by pre-loading all SQLite-stored hashes to memory and doing comparisons using Python sets
* all UTF-8 filenames are now normalized to NFKD in the database to enable cross-operating system checks
* the SQLite database is now vacuumed to minimize its size
* bugfix: additional Python 3 fixes when Unicode names were encountered

Builds/runs as expected.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-23 05:52:07 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

There is a changelog or release notes URL available for this version. Adding it to URL field.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-23 05:56:20 UTC
^Triage: Performance and bugfix release, MFH candidate
Comment 3 commit-hook freebsd_committer 2020-06-28 13:49:41 UTC
A commit references this bug:

Author: dbaio
Date: Sun Jun 28 13:48:54 UTC 2020
New revision: 540713
URL: https://svnweb.freebsd.org/changeset/ports/540713

Log:
  sysutils/py-bitrot: Update to 1.0.0

  Changelog:	https://github.com/ambv/bitrot/blob/1.0.0/README.rst#100

  PR:		247493
  Submitted by:	Darren Mulligan <fixer@bsdmail.com> (maintainer)
  MFH:		2020Q2

Changes:
  head/sysutils/py-bitrot/Makefile
  head/sysutils/py-bitrot/distinfo
Comment 4 commit-hook freebsd_committer 2020-06-29 22:35:56 UTC
A commit references this bug:

Author: dbaio
Date: Mon Jun 29 22:35:02 UTC 2020
New revision: 540839
URL: https://svnweb.freebsd.org/changeset/ports/540839

Log:
  MFH: r540713

  sysutils/py-bitrot: Update to 1.0.0

  Changelog:	https://github.com/ambv/bitrot/blob/1.0.0/README.rst#100

  PR:		247493
  Submitted by:	Darren Mulligan <fixer@bsdmail.com> (maintainer)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/sysutils/py-bitrot/Makefile
  branches/2020Q2/sysutils/py-bitrot/distinfo
Comment 5 Danilo G. Baio freebsd_committer 2020-06-29 22:41:32 UTC
Committed, thanks!